-- ud_074_20141008.sql       
-- ud_075_20141020.sql
-- ud_076_20141021.sql
-- ud_078_20141031.sql
-- ud_081_20141119.sql
-- 2458FB7422ABD6F290D6DFCE880DD146

CREATE OR ALTER VIEW KARTA_VIEWER(
    ID,
    ID_REP,
    NHISTORY,
    SPOLIS,
    NPOLIS,
    SMO,
    MCOD,
    FAM,
    IM,
    OT,
    W,
    DR,
    STAGE,
    DATE_ENTER,
    DATE_1,
    DATE_2,
    RSLT,
    MD5_HASH,
    TD,
    GD,
    MON,
    IN_REP,
    DOCTYPE,
    DOCSER,
    DOCNUM,
    SNILS,
    IS_MD,
    ISOUT)
AS
select K.ID, K.ID_REP, K.NHISTORY, K.SPOLIS, K.NPOLIS, K.SMO, K.MCOD, K.FAM, K.IM, K.OT, K.W, K.DR, K.STAGE,
       K.DATE_ENTER, K.DATE_1, K.DATE_2, K.RSLT, K.MD5_HASH, K.TD, extract(year from K.DATE_ENTER) as GD,
       extract(month from K.DATE_ENTER) as MON, iif(K.ID_REP is null, 0, 1) as IN_REP, K.DOCTYPE, K.DOCSER,
       K.DOCNUM, K.SNILS,
       (iif((select count(*)
             from KARTA_USL KU
             inner join USL U on ((U.ID = KU.ID_USL) and
                   (U.IS_DOP_TARIF = '1'))
             where (KU.ID_KARTA = K.IDK) and
                   ((U.USL_NAME containing '') or (U.USL_NAME containing '') or (U.USL_NAME containing ' ')) and
                   (not KU.ID_MD is null) and
                   (KU.ID_MD <> 0)) = 0, '', '')) as IS_MD,
       (select p.isout from p_karta p where p.idk=k.idk) as ISOUT
from KARTA K
order by K.DATE_ENTER, upper(K.FAM collate PXW_CYRL), upper(K.IM collate PXW_CYRL), upper(K.OT collate PXW_CYRL), K.DR, K.TD, K.STAGE, K.ID  
;
@

CREATE TABLE LOG_IDENT (
    IDENT_NAME  VARCHAR(40),
    DATE_OUT    DATE,
    TIME_OUT    TIME
);
@

CREATE TABLE P_RECOMMENDZOZH (
    FIELD  VARCHAR(500)
);
@