-- ud_130_20160714.sql
-- B358AA99ED823C7D33B07C2F95A7D518

CREATE TABLE ERMIS_LGOT_TYPE (
    ID          INTEGER,
    TYPE_ID     INTEGER,
    NAME_LGOT   VARCHAR(1000),
    NOTE_LGOT   VARCHAR(1000),
    IS_ENABLED  INTEGER
); @

CREATE TABLE PREDSTAV (
    IDK        INTEGER,
    FAM_P      FIO,
    IM_P       FIO,
    OT_P       FIO,
    W_P        INTEGER,
    DR_P       DATE
); @

ALTER TABLE KARTA
    ADD IS_PREDSTAV INTEGER; @

CREATE INDEX PREDSTAV_IDX_MAIN ON PREDSTAV (IDK); @

COMMIT WORK; @

INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (1, 1, 'I ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (2, 1, 'II ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (3, 1, 'III ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (4, 2, ' ', ' ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (5, 2, '   ,  ', '   ,  ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (6, 2, '   ,   ,  - ,      ', '         ,   ,    - ,    ,   ,       ( )', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (7, 2, '   ', '   ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (8, 2, ',      ,      ,    22  1941   3  1945     ', ',      , , - ,      ,    22  1941   3  1945     , ,          ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (9, 2, ',          ,   ,     , - ,     ', ',          ,   ,     , - ,           ,    ,       ,       ,          ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (10, 2, ',     ', ',     ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (11, 2, '  ', '  ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (12, 2, '   ()  ,        ', '   ()  ,        ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (13, 2, '                    ,           ', '                    ,           ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (14, 5, ' ', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (15, 5, ' ', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (16, 5, '-', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (17, 5, ',   ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (18, 5, ',     ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (19, 5, ' I .', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (20, 5, ' II .', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (21, 5, ' III .', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (22, 5, '-', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (23, 5, '  ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (24, 5, '', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (25, 5, '   ( )', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (26, 5, ',   "  "', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (27, 5, '   ()   ', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (28, 5, '    ,    ', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (29, 5, '   , ', '', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (49, 13, '  ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (50, 13, ' ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (51, 2, '  ,    ,   ,    -     ,     ', '  ,        ,   ,    -     ,       ( ).', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (52, 2, '  ,   ,           ,         ', '  ,   ,           ,         ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (53, 2, '       ', '       ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (54, 2, '   , ,    ,          ,  ', '   , ,    ,          ,     ,      (  ,       )', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (55, 2, '   , ,    ,          ', '   , ,    ,          ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (56, 2, ' III ', ' III ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (57, 2, ' II ', ' II ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (58, 2, ' I ', ' I ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (59, 2, '-', '-', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (60, 2, ',        ,                 ', ',        ,                 ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (61, 2, '   ', '   ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (62, 2, ',   19861987                    ,    ,  ', ' (      ),   1986  1987                    ,    ,  ,  ,         ;   ,            ,          ,  -, -   ,       ;        ,   1986  1987     ;', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (63, 2, ',    1988-1990 .                         ', ' (      ),    1988-1990 .                         ;   ,            ,      ,       ,          ,   1988  1990     ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (64, 2, ',  (    )  1986    ', ',  (    )  1986    ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (65, 2, ',   ()        ', ',   ()        ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (66, 2, ',   ()       - ', ',   ()       - ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (67, 2, ',   ()         ', ',   ()         ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (68, 2, '      18 ,            ,      ,  ,        ', '      18 ,            ,      , ,     ,  ,        ,        ,    1, 2, 3  6    13     15.05.1991  1244-1,          ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (69, 2, '  ,              ,     ,  ', '  ,              ,                       ,  ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (70, 2, '  ,              ,    ', '  ,              ,                       ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (71, 2, '      18 ,        - ', '      18 ,        - ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (72, 2, '  ,   ,    ,   ,   ,         ,  ', '  ,   ,         ,   ,   ,         ,  ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (73, 2, '  ,   ,        ,   ,   ,         ', '  ,   ,        ,   ,   ,         ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (74, 2, ',          1957            ', ',          1957            ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (75, 2, ',   ,  ,           1957            ', ',   ,  ,    ,           1957            ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (76, 2, ',   1957-58           1957    ,             1949-56 ', ' (      ),    , -   ,        ,   ,   ,   1957  1958           1957     ,    ,    -,    ,        ,   ,   ,                 1949  1956 ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (77, 2, ',   1959-61           1957    ,             1957-62 ', ' (      ),    ,    ,        ,   ,   ,   1959  1961           1957     ,    ,    ,    ,        ,   ,   ,                 1957  1962 ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (78, 2, ', ,       ,       1957            ,  ', ',  (),        (    ()    ,   ()  ),       1957            ,  ,    ,     ()     ,    ,      ,   1957     ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (79, 2, ',    ,       1957           ,           1 ', ',    ,       1957            ,            1  (0,1 ) (        )', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (80, 2, ',   18 ,    ,       1957          .,         1 ', ',    18 ,    ,       1957            ,             1  (0,1 ) (        )', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (81, 2, '     ,    1    26.11.98  175-,        ', '     ,    1    26.11.98  175-,        ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (82, 2, '    ,  ', '    ,  ', 1); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (83, 2, '    ,   ', '    ,   ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (84, 2, ',   ()   ,  25  ()', ',   ()   ,  25  ()', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (85, 2, ',   ()     5  (),     25  ()', ',   ()     5  (),     25  ()', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (86, 2, '    18      ,   ()     5  (),          ', '    18      ,   ()     5  (),          ', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (87, 12, '  3 ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (88, 12, '  6    ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (89, 12, '       18 ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (90, 12, '    ϻ  18 ', '', 0); @
INSERT INTO ERMIS_LGOT_TYPE (ID, TYPE_ID, NAME_LGOT, NOTE_LGOT, IS_ENABLED)
                     VALUES (91, 12, '      18 ', '', 0); @
 

COMMIT WORK; @

CREATE INDEX ERMIS_LGOT_TYPE_IDX_MAIN ON ERMIS_LGOT_TYPE (ID, TYPE_ID); @